Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.backend
Class CollectedInfo

    java.lang.Object
      org.apache.catalina.ha.backend.CollectedInfo

    public class CollectedInfo

extends Object

Field Summary
`protected MBeanServer` | `mBeanServer`
`protected ObjectName` | `objName`

Constructor Summary
`CollectedInfo(String host, int port)`

Method Summary
`void` | `init(String host, int port)`
`void` | `refresh()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBeanServer

    protected MBeanServer mBeanServer

### objName

    protected ObjectName objName

Constructor Detail

### CollectedInfo

    public CollectedInfo(String host,
                         int port)
                  throws Exception

Throws:
  `Exception`

Method Detail

### init

    public void init(String host,
                     int port)
              throws Exception

  Throws:
    `Exception`

### refresh

    public void refresh()
                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.